Bug 937974 - Add USB IDs for Dell Wireless 5809e LTE card to qmi_wwan
Add USB IDs for Dell Wireless 5809e LTE card to qmi_wwan
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Network
Current
x86-64 SUSE Other
: P5 - None : Enhancement (vote)
: ---
Assigned To: Oliver Neukum
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-14 10:05 UTC by Pieter Hollants
Modified: 2018-07-03 20:56 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Patch to add the USB IDs for Dell Wireless 5809e LTE card (Sierra Wireless EM7305 rebrand) (771 bytes, patch)
2015-07-14 10:05 UTC, Pieter Hollants
Details | Diff
0001-qmi_wwan-Add-support-for-Dell-Wireless-5809e-4G-Modem.patch as posted on netdev@vger.kernel.org (771 bytes, patch)
2015-07-20 13:36 UTC, Pieter Hollants
Details | Diff
0001-qmi_wwan-Add-support-for-Dell-Wireless-5809e-4G-Modem.patch as posted on netdev@vger.kernel.org (1.32 KB, patch)
2015-07-20 13:39 UTC, Pieter Hollants
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Hollants 2015-07-14 10:05:26 UTC
Created attachment 640815 [details]
Patch to add the USB IDs for Dell Wireless 5809e LTE card (Sierra Wireless EM7305 rebrand)

Attached patch adds to qmi_wwan the USB IDs for the "Dell Wireless 5809e Gobi(TM) 4G LTE Mobile Broadband Card", a Dell-branded Sierra Wireless EM7305 LTE card in M.2 form factor, used eg. in Dell's Latitude E7540 Notebook series.

Submitted upstream at kernel.org as #101481 (https://bugzilla.kernel.org/show_bug.cgi?id=101481).
Comment 1 Oliver Neukum 2015-07-15 13:22:33 UTC
This makes no sense. You cannot submit patches through the kernel.org bugzilla. A patch must go over the appropriate mailing list. If you want a patch to go Factory you first must get it upstream. I cannot pick patches from bugzilla.kernel.org

What do you want me to do?
Comment 2 Pieter Hollants 2015-07-20 08:20:58 UTC
Patch submitted upstream via email.
Comment 3 Oliver Neukum 2015-07-20 08:36:06 UTC
(In reply to Pieter Hollants from comment #2)
> Patch submitted upstream via email.

Thanks, do you have a link to that submission in an archive for the mailing list it went to?
Comment 4 Pieter Hollants 2015-07-20 08:39:56 UTC
Yep: http://marc.info/?l=linux-netdev&m=143738046102038&w=2
Comment 5 Oliver Neukum 2015-07-20 12:04:17 UTC
You must attach the patch _with_ its logging message. I just cannot apply a bare diff.
Comment 6 Pieter Hollants 2015-07-20 13:36:21 UTC
Created attachment 641405 [details]
0001-qmi_wwan-Add-support-for-Dell-Wireless-5809e-4G-Modem.patch as posted on netdev@vger.kernel.org

You mean like this?
Comment 7 Pieter Hollants 2015-07-20 13:38:13 UTC
Narf... let me guess, the secret is NOT to click "This is a patch"?
Comment 8 Pieter Hollants 2015-07-20 13:39:32 UTC
Created attachment 641406 [details]
0001-qmi_wwan-Add-support-for-Dell-Wireless-5809e-4G-Modem.patch as posted on netdev@vger.kernel.org
Comment 9 Oliver Neukum 2015-07-21 14:32:05 UTC
Added to tree
Comment 10 Oliver Neukum 2015-07-21 14:32:51 UTC
(In reply to Pieter Hollants from comment #8)
> Created attachment 641406 [details]
> 0001-qmi_wwan-Add-support-for-Dell-Wireless-5809e-4G-Modem.patch as posted
> on netdev@vger.kernel.org

No. That is again the nacked diff. To be applied a patch also needs a changelog and a header.